// MouseDemo.java
// program to demonstrate the construction of a container
// and mouse events

import java.awt.*;
import java.awt.event.*;

class Gui extends Frame implements WindowListener, MouseListener
{
	// constructor
	public Gui(String s)
	{
		super(s);
		setBackground(Color.yellow);
		addMouseListener(this);
		addWindowListener(this);
	}

	public void mouseClicked(MouseEvent event)
	{	Graphics g=getGraphics();

		// If there was more than one click....
		if (event.getClickCount()>1) {
			Point p=event.getPoint();
			g.drawString("Double Click Occured at ("+
								event.getX()+","+event.getY()+") ",p.x,p.y);
		}
    switch (event.getModifiers()){
           case 16:g.drawString("Left Button Pressed",100,50);break;
           case 8:g.drawString("Middle Button Pressed",100,80);break;
           case 4:g.drawString("Right Button Pressed",100,110);break;
    }
	}
	public void mouseEntered(MouseEvent event)
	{	Graphics g=getGraphics();
		g.drawString("Entry Occured at ("+event.getX()+","+event.getY()+")",
											      event.getX(),event.getY());
	}
	public void mouseExited(MouseEvent event){}
	public void mouseReleased(MouseEvent event){}

	public void mousePressed(MouseEvent event)
	{
		if (event.getClickCount()==1) {
			// get coordinates of mouse
			int x = event.getX();
			int y = event.getY();

			Graphics g = getGraphics();

			// display message on screen
			g.drawString("+ ["+String.valueOf(x)+","+
			                String.valueOf(y)+"]",x,y);
		}
	}
	
	public void windowClosed(WindowEvent event){}
	public void windowDeiconified(WindowEvent event){}
	public void windowIconified(WindowEvent event){}
	public void windowActivated(WindowEvent event){}
	public void windowDeactivated(WindowEvent event){}
	public void windowOpened(WindowEvent event){}

	public void windowClosing(WindowEvent event)
	{
		System.exit(0);
	}
}





/**
 * @com.register ( clsid=B3714A43-0CB0-11D3-A6E6-90342A13676C, typelib=B3714A42-0CB0-11D3-A6E6-90342A13676C )
 */
class MouseDemo
{
	public static void main(String[] args)
	{
		Gui screen = new Gui("Example 18");

		screen.setSize(400,300);
		screen.setVisible(true);
	}
}
